Skip to main content
GET
/
v1
/
report
/
insight
/
benchmarking
/
ad-delivery
/report/insight/benchmarking/ad-delivery
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-delivery \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-delivery"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "data": {
      "ad_load": {
        "publisher": 12268,
        "cohort": 785611.3333333334,
        "network": 190261.2808219178
      },
      "ad_miss": {
        "publisher": 85,
        "cohort": 31880.666666666668,
        "network": 95260.39726027397
      },
      "ad_requests": {
        "publisher": 12353,
        "cohort": 817492,
        "network": 285521.6780821918
      },
      "viewable_impressions": {
        "publisher": 913217,
        "cohort": 426144,
        "network": 138893.93835616438
      },
      "impressions": {
        "publisher": 1076244,
        "cohort": 699683.3333333334,
        "network": 173714.31506849316
      },
      "clicks": {
        "publisher": 0,
        "cohort": 179.66666666666666,
        "network": 14.678082191780822
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer
required

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

rev_source
enum<string>
default:all

Revenue source, SaaS or Plug&Play (pap)

Available options:
all,
pap,
saas
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web
exclude_pubs
enum<string>
default:yes

Excludes publisher data from the Network and Cohort for users organisation

Available options:
yes,
no

Response

200 - application/json
results
object
required
success
boolean
required